package com.unionpay.blepayservice;

import com.unionpay.blepayservice.Channel;
interface IBLEService{
	/**
     * Init function for BLEservice, this should be called before any
     * other function.
     * 
     * @param callback Registered callback interface that contains result&error
     *            callback function for this request. If this function failed,
     *            only off-line request can be executed, such as get installed
     *            applet details, others will return error directly.
     * @return Result code: 0->success, -1->error.
     */
    int init();
    /**
	 * 在向SE芯片发送选择应用的指令时调用（调用时机由我们控制），确保后续针对该应用的指令能够正常执行。
	 * @param cmd
	 * @param channelID
	 * @return
	 */
	Channel openLogicChannel(in byte[] cmd) ;
	/**
	 * 获取蓝牙和SE芯片的状态
	 */
	String bleSEStatus();
    /**
     * 获取蓝牙BTC芯片信息
     */
	String getBTCInfo();
	/**
	 * 若为动态生成SEID，获取CPLC信息，则用于计算SEID；若为预置SEID，则无需访问。
	 */
	String getCPLCInfo();
}